/**
 **	File ......... AccountForm.h
 **	Published ....  2004-07-09
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _ACCOUNTFORM_H
#define _ACCOUNTFORM_H

#include <stdio.h>
#include <libcgi++.h>
#include "BaseForm.h"


class AccountForm : public BaseForm
{
public:
	AccountForm(Web *);
	~AccountForm();

	void Process();
	void Display(long);
	void Select(const std::string &) {}
	void List() {}

private:
	bool m_bPass;
	bool m_bEmail;
	bool m_bExists;
	bool m_bName;
	std::string m_email;
	std::string m_name;
	std::string m_show;
};




#endif // _ACCOUNTFORM_H
